# docker/engine

- name: Check get-docker
  become: yes
  get_url:
    url: "https://get.docker.com"
    dest: "/usr/local/sbin/get-docker.sh"
    mode: u+x
  register: docker

- name: Install docker
  become: yes
  command: "/usr/local/sbin/get-docker.sh"
  when: docker.changed

- name: Enabled docker
  become: yes
  service: 
    name: "docker"
    state: started
    enabled: yes

- name: Configure group
  become: yes
  user:
    name: "{{ admin_user }}"
    groups: "docker"
    append: yes

- name: Install docker-compose
  become: yes
  pip:
    name: "docker-compose"
